import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect } from 'react';
import InputViewer from './input/InputViewer';
// import OutputViewer from './output/OutputViewer';
import { newUuid } from '../../utils/Utils';
export const Viewer = (props) => {
    const { nbformat } = props;
    const [model, setModel] = useState();
    useEffect(() => {
        setModel(nbformat);
    }, [nbformat]);
    return (_jsx(_Fragment, { children: model?.cells.map(cell => {
            return (_jsx("div", { children: _jsx(InputViewer, { cell: cell, languageInfo: nbformat.metadata.language_info }) }, cell.id?.toString() || newUuid()));
        }) }));
};
export default Viewer;
//# sourceMappingURL=Viewer.js.map