import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import JupyterLabCss from '../jupyter/lab/JupyterLabCss';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from "./toolbars/NotebookToolbar";
import CellSidebar from "../components/notebook/cell/sidebar/CellSidebar";
import notebook from "./notebooks/Matplotlib.ipynb.json";
const Matplotlib = () => (_jsxs(Jupyter, { disableCssLoading: true, children: [_jsx(JupyterLabCss, {}), _jsx(Notebook, { nbformat: notebook, uid: "notebook-matplotlib-uid", bundledIPyWidgets: [
                { name: "jupyter-matplotlib", version: "0.11.3", module: require("jupyter-matplotlib") }
            ], height: 'calc(100vh - 2.6rem)' // (Height - Toolbar Height).
            , cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar })] }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Matplotlib, {}));
//# sourceMappingURL=Matplotlib.js.map