import { jsx as _jsx } from "react/jsx-runtime";
import IPyWidgetsViewManager from '../ipywidgets/IPyWidgetsViewManager';
/**
 * IPyWidgetAttached allows to render a Lumino
 * Widget being mounted in the React.js tree.
 */
const IPyWidgetsAttached = (props) => {
    const { view, state } = props;
    return (_jsx("div", { ref: ref => {
            if (ref) {
                var manager = new IPyWidgetsViewManager(ref);
                manager
                    .set_state(state)
                    .then((models) => manager.create_view(models.find((element) => element.model_id === view.model_id)))
                    .then((view) => manager.display_view(view));
            }
        } }));
};
export default IPyWidgetsAttached;
//# sourceMappingURL=IPyWidgetsAttached.js.map